Subject: Re: IPsec AH use of ahash

From: Tom St Denis <[email-masked]>
Date: Sun, 20 Jan 2013 12:33:38 -0500 (EST)

----- Original Message -----
> From: "H. Peter Anvin" <[email-masked]>
> To: "Tom St Denis" <[email-masked]>
> Cc: "Mike Galbraith" <[email-masked]>, "Eric Dumazet" <[email-masked]>, "Waskiewicz Jr, Peter P"
> <[email-masked]>, "David Miller" <[email-masked]>, "steffen klassert"
> <[email-masked]>, [email-masked], [email-masked], [email-masked],
> "Michal Kubecek" <[email-masked]>
> Sent: Sunday, 20 January, 2013 12:03:34 PM
> Subject: Re: IPsec AH use of ahash
> 
> On 01/20/2013 07:07 AM, Tom St Denis wrote:
> >
> > In all likelihood I will submit a revised CMAC patch but it'll take
> > time before I can get business hours to work on it.  So instead of
> > having a maintainer just touch it up we're all going to lose out
> > because of pride?
> >
> 
> It's not about pride.  It is about the fact that maintainers don't
> scale.  A single troublesome contributor can easily take up as much
> maintainer time as over a dozen contributors who know how to work
> well
> with their upstream.

Ironically I'd view consistency with existing code as paramount over [say] adherence to some coding standard that none of the code I've seen in the kernel apparently sticks to in the first place.  In this case since XCBC and CMAC operate almost identically it made sense to me to copy it as a template.  Now you're telling me I have to re-write it... so that now it's different than XCBC?  Or are you suggesting that I also re-write XCBC?

Similarly AH4 and AH6 violate the coding standards.  Are you suggesting I re-write those entirely as well to merely augment its functionality?

For a project that *boasts* about it's abhorrent lack of commenting/documentation since "the source is the documentation" it's funny that you can't actually READ the source as an authority.

Tom